import type { CanvasKit, FontMgr as SkFontManager } from 'canvaskit-wasm';
import type { FunctionComponent, ReactNode } from 'react';
export declare let useCanvasKit: () => CanvasKit;
export declare let CanvasKitProvider: FunctionComponent;
export declare let useFontManager: () => SkFontManager;
export declare let FontManagerProvider: FunctionComponent<{
    fontData: ArrayBuffer[] | undefined;
    children?: ReactNode;
}>;
export declare function init(): Promise<void>;
export interface SkObjectRef<T> {
    current: T;
}
export declare function render(element: ReactNode, canvas: HTMLCanvasElement, renderCallback?: () => void): Promise<void>;
